import { ExecutionService } from './execution.service';
import { EnterpriseExecutionsService } from './execution.service.ee';
import { ExecutionRequest } from './execution.types';
import { License } from '../license';
import { RoleService } from '../services/role.service';
import { WorkflowSharingService } from '../workflows/workflow-sharing.service';
export declare class ExecutionsController {
    private readonly executionService;
    private readonly enterpriseExecutionService;
    private readonly workflowSharingService;
    private readonly license;
    private readonly roleService;
    constructor(executionService: ExecutionService, enterpriseExecutionService: EnterpriseExecutionsService, workflowSharingService: WorkflowSharingService, license: License, roleService: RoleService);
    private getAccessibleWorkflowIds;
    getMany(req: ExecutionRequest.GetMany): Promise<{
        concurrentExecutionsCount: number;
        results: import("n8n-workflow").ExecutionSummary[];
        count: number;
        estimated: boolean;
    }>;
    getVersions(req: ExecutionRequest.GetVersions): Promise<{
        versionId: string;
        name: string | null;
        createdAt: Date;
    }[]>;
    getOne(req: ExecutionRequest.GetOne): Promise<import("../interfaces").IExecutionFlattedResponse | undefined>;
    stop(req: ExecutionRequest.Stop): Promise<import("./execution.types").StopResult>;
    stopMany(req: ExecutionRequest.StopMany): Promise<{
        stopped: number;
    }>;
    retry(req: ExecutionRequest.Retry): Promise<Omit<import("@n8n/db").IExecutionResponse, "createdAt">>;
    delete(req: ExecutionRequest.Delete): Promise<void>;
    update(req: ExecutionRequest.Update): Promise<import("../interfaces").IExecutionFlattedResponse | undefined>;
}
